<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Logging" Version="6.0.0" />
    <PackageReference Include="System.Collections.Immutable" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="RfbConnection.Connection.cs">
      <DependentUpon>RfbConnection.cs</DependentUpon>
    </Compile>
    <Compile Update="RfbConnection.Details.cs">
      <DependentUpon>RfbConnection.cs</DependentUpon>
    </Compile>
    <Compile Update="RfbConnection.Helpers.cs">
      <DependentUpon>RfbConnection.cs</DependentUpon>
    </Compile>
    <Compile Update="RfbConnection.Messages.cs">
      <DependentUpon>RfbConnection.cs</DependentUpon>
    </Compile>
  </ItemGroup>

</Project>
